Subject: still cannot read /cygdrive/c
From: [email-masked]
To: "D. N. Knisely" <[email-masked]>, Cliff Hones <[email-masked]>, Gareth Pearce <[email-masked]>
Cc: [email-masked]
Date: Tue, 9 Dec 2003 13:32:40 -0500 (EST)

I am having the same problem. Please also see:
http://www.cygwin.com/ml/cygwin/2003-11/msg00742.html

$ mount
E:\cygwin\usr\X11R6\lib\X11\fonts on /usr/X11R6/lib/X11/fonts type system 
(binmode)
E:\cygwin\bin on /usr/bin type system (binmode)
E:\cygwin\lib on /usr/lib type system (binmode)
E:\cygwin on / type system (binmode)
c: on /cygdrive/c type user (binmode,noumount)
e: on /cygdrive/e type user (binmode,noumount)
g: on /cygdrive/g type user (binmode,noumount)

and I do NOT have a /cygdrive directory

I am using XP Professional and I have tried all the things Gareth had
suggested(mkpasswd/mkgroup sync; windows sharing tab etc) but am still not
able to change the permissions on those two root directories despite being
the administrator. I even tried logging in the "Administrator" account,
same problem. I am on the 1116 snapshot

-rwx------+   1 jakez    None      1081698 Nov 16 03:23 cygwin1.dll

$ ls -dl /cygdrive/c /cygdrive/e /cygdrive/g
d---------   12 ???????? ????????        0 Dec  8 07:49 /cygdrive/c/
dr-xr-xr-x+  35 jakez    None            0 Dec  8 07:36 /cygdrive/e/
d---------    8 ???????? ????????        0 Nov 23 14:12 /cygdrive/g/

Note it is interesting because E is the drive where the cygwin
distribution is installed. This appears to be affecting only cygwin
both windows explorer and cmd.exe works fine. 

Please help. Thanks.

jake

> D. N. Knisely wrote:
> 
> >> I unmounted those mounts:
> >> $ mount
> >> C:\cygwin\usr\X11R6\lib\X11\fonts on /usr/X11R6/lib/X11/fonts type system
> >> (binmo
> >> de)
> >> C:\cygwin\bin on /usr/bin type system (textmode)
> >> C:\cygwin\lib on /usr/lib type system (textmode)
> >> C:\cygwin on / type system (textmode)
> >> c: on /cygdrive/c type user (textmode,noumount)
> >>
> >> No change.
> >>
> >> Am I supposed to have an actual directory entry for cygdrive?  There is a
> >> directory there:
> >> ...
> >> $ ls -l cygdrive
> >> total 0
> >> d---------   29 ???????? ????????        0 Nov 24 07:09 c/
> >> $ ls -ld cygdrive
> >> dr-xr-xr-x    4 0        0               0 Dec 31  1969 cygdrive/
> >>
> >> It doesn't seem to make any different if I rename it to something else; I
> >> gather that /cygdrive is actually a virtual drive like /dev.
> 
> 
> That's right.  In a standard installation you would not have a real
> directory named cygdrive in your Cygwin root, but I wouldn't have
> expected there to be a problem if you did have.  [Just tried it
> on my system and I have no problem.]
> 
> However, from the above, you do seem to have a permission/ownership
> problem.  I'd recommend removing the real /cygdrive directory, and
> then repeating "ls -l /cygdrive" - you should see your windows C
> drive and it should have sensible ownership/protection - the
> same as you see with "ls -ld C:/".
> 
> You don't, by any chance, have a "real" directory named C under
> your real /cygdrive?  That may well confuse Cygwin.
> 
> -- Cliff
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/